Page MenuHomePhabricator

1.38.0-wmf.6 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.38.0-wmf.6
Release Date
Oct 25 2021, 12:00 AM

2021 week 43 1.38-wmf.6 Changes wmf/1.38.0-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, October 25th:

Monday October 25thTuesday, October 26thWednesday, October 27thThursday, October 28thFriday
Backports only.Branch wmf.6 and deploy to Group 0 Wikis.Deploy wmf.6 to Group 1 Wikis.Deploy wmf.6 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.38.0-wmf.5
Next: 1.38.0-wmf.7

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.
thcipriani changed Release Date from Oct 19 2020, 12:00 AM to Oct 19 2021, 12:00 AM.Oct 21 2021, 12:30 AM
thcipriani changed Release Date from Oct 19 2021, 12:00 AM to Oct 26 2021, 12:00 AM.Oct 21 2021, 12:37 AM
thcipriani changed Release Date from Oct 26 2021, 12:00 AM to Oct 25 2021, 12:00 AM.

Heads-up that I've enabled PHP 7.4 voting jobs for merges on production branches (alongside the existing PHP 7.2 jobs), per T293924 as part of Service Ops's work to migrate to PHP 7.4. This shouldn't be a problem (all the code that merges already goes through the PHP 7.4 jobs on merge into master), but if it does you can revert 3c7edcb5da20a8659a9b546bd084defca20c1bbd to disable them.

Heads-up that I've enabled PHP 7.4 voting jobs for merges on production branches (alongside the existing PHP 7.2 jobs), per T293924 as part of Service Ops's work to migrate to PHP 7.4. This shouldn't be a problem (all the code that merges already goes through the PHP 7.4 jobs on merge into master), but if it does you can revert 3c7edcb5da20a8659a9b546bd084defca20c1bbd to disable them.

Unfortunately, it looks it caused issues :/. https://integration.wikimedia.org/ci/job/mwext-php74-phan-docker/7/console (a php7.4 version of phan) fails with PhanPluginDuplicateExpressionAssignmentOperation Can simplify this assignment to $limit ??= SearchTaskSuggester::DEFAULT_LIMIT (requires php version 7.4 or newer). I'd prefer not doing that for now, as I prefer WMF prod being able to run that code :)).

A famous quote happens again.

Heads-up that I've enabled PHP 7.4 voting jobs for merges on production branches (alongside the existing PHP 7.2 jobs), per T293924 as part of Service Ops's work to migrate to PHP 7.4. This shouldn't be a problem (all the code that merges already goes through the PHP 7.4 jobs on merge into master), but if it does you can revert 3c7edcb5da20a8659a9b546bd084defca20c1bbd to disable them.

Unfortunately, it looks it caused issues :/. https://integration.wikimedia.org/ci/job/mwext-php74-phan-docker/7/console (a php7.4 version of phan) fails with PhanPluginDuplicateExpressionAssignmentOperation Can simplify this assignment to $limit ??= SearchTaskSuggester::DEFAULT_LIMIT (requires php version 7.4 or newer). I'd prefer not doing that for now, as I prefer WMF prod being able to run that code :)).

A famous quote happens again.

FTR, @hashar kindly reverted the patch @Jdforrester-WMF linked here, so tests should run fine again.

Mentioned in SAL (#wikimedia-operations) [2021-10-26T12:32:50Z] <hashar> Applied security patches to 1.38.0-wmf.6 # T293947

Mentioned in SAL (#wikimedia-operations) [2021-10-26T12:35:00Z] <hashar> scap clean --delete 1.38.0-wmf.4 # T293947

I have synced 1.38.0-wmf.6 code to the MediaWiki servers. Next step will be to promote testwikis / rebuild l10n/cdb cache which should be fast. That is for @dancy :]

I have synced 1.38.0-wmf.6 code to the MediaWiki servers. Next step will be to promote testwikis / rebuild l10n/cdb cache which should be fast. That is for @dancy :]

Coincidentally, I had to use scap sync-world earlier today, and I was surprised it took less than 3 minutes. Was expecting it to take at least 20-40 minutes like it always did. Thanks for the improvement.

Restricted Application removed a subscriber: Urbanecm. ¡ View Herald TranscriptOct 26 2021, 1:51 PM

Change 734719 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] testwikis wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/734719

Change 734719 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/734719

Mentioned in SAL (#wikimedia-operations) [2021-10-26T19:12:59Z] <twentyafterfour@deploy1002> Started scap: testwikis wikis to 1.38.0-wmf.6 refs T293947

Mentioned in SAL (#wikimedia-operations) [2021-10-26T19:38:27Z] <twentyafterfour@deploy1002> Finished scap: testwikis wikis to 1.38.0-wmf.6 refs T293947 (duration: 25m 28s)

Change 734725 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group0 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/734725

Change 734725 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/734725

Mentioned in SAL (#wikimedia-operations) [2021-10-26T19:51:26Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.38.0-wmf.6 refs T293947

Change 735051 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/735051

Change 735051 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/735051

Mentioned in SAL (#wikimedia-operations) [2021-10-27T19:34:30Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.38.0-wmf.6 refs T293947

Mentioned in SAL (#wikimedia-operations) [2021-10-27T19:36:18Z] <twentyafterfour@deploy1002> Synchronized php: group1 wikis to 1.38.0-wmf.6 refs T293947 (duration: 01m 47s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T14:04:58Z] <twentyafterfour> rolling back group1 wikis to 1.38.0-wmf.5 (T293947) due to UBN T294559

Change 735393 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.5 refs T293947

https://gerrit.wikimedia.org/r/735393

Change 735393 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.5 refs T293947

https://gerrit.wikimedia.org/r/735393

Mentioned in SAL (#wikimedia-operations) [2021-10-28T14:08:49Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.38.0-wmf.5 refs T293947

Mentioned in SAL (#wikimedia-operations) [2021-10-28T14:09:53Z] <twentyafterfour@deploy1002> Synchronized php: group1 wikis to 1.38.0-wmf.5 refs T293947 (duration: 01m 03s)

Note that earlier today, foundation.wikimedia.org was connected to CentralAuth (T205347). That's something we didn't really do since SUL finalisation, and while the wiki appears to operate normally, bugs can happen. Feel free to ping me on foundation.wikimedia.org issues that might be related to this.

Is the train blocked? Typically an email is sent out when that's the case...

Is the train blocked? Typically an email is sent out when that's the case...

T294559: Editing page ending with :number or going to such page via a namespace alias results in redirect to address with :number used as port

#wikimedia-releng - 2021-10-28 - times in UTC
[13:47]  <     zabe> Spookreeeno: I just realised the magnitude of the issue, this definetly now looks like something is weirdly going wron
[13:48]  <Spookreeeno> zabe: very
[13:49]  < xSavitar> Do mind sharing zabe, is it related to the FR patch?
[13:49]  <Spookreeeno> xSavitar: no
[13:49]  <     zabe> no, I am talking about T294559
[13:49]  < stashbot> T294559: Editing page ending with :number or going to such page via a namespace alias results in redirect to address with :number used as port - https://phabricator.wikimedia.org/T294559
[13:49]  <Spookreeeno> another blocker
[13:50]  < xSavitar> Ah okay! 
[13:50]  <Spookreeeno> cc twentyafterfour hashar 
[13:51]  <   hashar> yeah what is happening?
[13:51]  <     zabe> hashar: Do you think T294559 is worth a rollback?
[13:51]  <Spookreeeno> hashar: https://phabricator.wikimedia.org/T294559 is breaking some redirects
[13:52]  <   hashar> someone tried to outsmart the parser
[13:56]  <Spookreeeno> Pchelolo: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/720489 was missed off risky patch? Could it be related?
[13:57]  <Spookreeeno> hashar: commit says risky patch templates got missed :(
[13:58]  <   hashar> it might be unrelated, but might be good to add that to the task
[13:58]  <   hashar> I will rollback
[13:58]  <Spookreeeno> ack
[13:58]  <   hashar> oh wait twentyafterfour is around :)
[13:58]  <   hashar> I am happy to do the rollback twentyafterfour
[13:59]  <twentyafterfour> hashar: up to you
[13:59]  <twentyafterfour> I can do it, I just got here 
[14:03]  <   hashar> got a neighborh at home to retrieve stuff
[14:03]  <   hashar> will be available in a few
[14:03]  <twentyafterfour> hashar: I'll do it, no worries 
[14:07]  <twentyafterfour> rollback in progress
[14:07]  <twentyafterfour> group1 => 1.38.0-wmf.5
[14:07]  <Spookreeeno> ty but :(
[14:16]  <   hashar> twentyafterfour: thx ! :)
[14:16]  <   hashar> i have poked platform slack channel

Indeed it's blocked but getting unblocked soon I hope?

I didn't send an email because things appear to be on track to have patches backported within the normal deployment window.

Change 735436 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/735436

Change 735436 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/735436

Mentioned in SAL (#wikimedia-operations) [2021-10-28T19:51:03Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.38.0-wmf.6 refs T293947

Mentioned in SAL (#wikimedia-operations) [2021-10-28T19:52:06Z] <twentyafterfour@deploy1002> Synchronized php: group1 wikis to 1.38.0-wmf.6 refs T293947 (duration: 01m 02s)

Change 735439 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group2 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/735439

Change 735439 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.38.0-wmf.6 refs T293947

https://gerrit.wikimedia.org/r/735439

Mentioned in SAL (#wikimedia-operations) [2021-10-28T20:03:20Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.38.0-wmf.6 refs T293947